%%%
  VERSION:1
  LANGUAGE:ENGLISH
%%%

MODULE MOVE6400
  !COPYRIGHT 1996 ABB ROBOTICS PRODUCTS AB
  !#########################################################################
  !Revision Notes:
  !RW2.0 Required
  !SPICE Update      95-10-25/SLT
  !New tooldata 120/175kg    95-11-30/SLT
  !2.4_120 verified      95-12-01/SLT
  !clkstart added      96-02-24/SLT 
  !Compact added     96-03-13/SLT
  !
  !#########################################################################
  ! Variables
  VAR num answer;
  VAR num answer2;
  VAR num system;
  VAR num time;
  VAR num cycle;
  VAR string irbtype;
  PERS tooldata load_75:=[TRUE,[[0,0,0],[1,0,0,0]],[75,[150,0,250],[1,0,0,0],0,0,0]];
  PERS tooldata load_120:=[TRUE,[[0,0,0],[1,0,0,0]],[120,[150,0,250],[1,0,0,0],0,0,0]];
  PERS tooldata load_120s:=[TRUE,[[0,0,0],[1,0,0,0]],[120,[150,0,357],[1,0,0,0],0,0,0]];
  PERS tooldata load_150:=[TRUE,[[0,0,0],[1,0,0,0]],[150,[150,0,250],[1,0,0,0],0,0,0]];
  PERS tooldata load_175:=[TRUE,[[0,0,0],[1,0,0,0]],[175,[150,0,301],[1,0,0,0],0,0,0]];
  PERS tooldata currload:=[TRUE,[[0,0,0],[1,0,0,0]],[150,[150,0,250],[1,0,0,0],0,0,0]];

  PROC haupt()
    main;
  ENDPROC

  PROC main()
    reg1:=0;
    TPWrite "IRB6400 test program";
    TPReadFK answer,"Select type of IRB 6400/...","2.4_120","2.4_150","2.4_175","2.8_120","More";
    TEST answer
    CASE 1:
     TPErase;
      irbtype:="IRB6400/2.4_120";
      TPReadFK answer2,"Select model of system","M94A","M96","","","";
      TEST answer2
         CASE 1:
          currload:=load_120;
         CASE 2:
          currload:=load_120s;
            ENDTEST
      system:=2.4;
      testload;
    CASE 2:
      irbtype:="IRB6400/2.4_150";
      currload:=load_150;
      system:=2.4;
      testload;
    CASE 3:
      irbtype:="IRB6400/2.4_175";
      currload:=load_175;
      system:=2.4;
      testload;
    CASE 4:
      irbtype:="IRB6400/2.8_120";
      TPReadFK answer2,"Select model of system","M94A","M96","","","";
      TEST answer2
         CASE 1:
          currload:=load_120;
         CASE 2:
          currload:=load_120s;
            ENDTEST
      system:=2.8;
      testload;
    CASE 5:
      more_types;
    ENDTEST
    TPErase;
    TPWrite "*******PROGRAM END*******";
    TPWrite "*******PROGRAM END*******";
    TPWrite "*******PROGRAM END*******";
  ENDPROC

  PROC more_types()
    TPErase;
    TPReadFK answer,"Select type of IRB 6400/...","2.2_P75","S2.9_120","3.0_75","C","Exit";
    TEST answer
    CASE 1:
      irbtype:="IRB6400/2.25_PE75";
      currload:=load_75;
      system:=2.25;
      testload;
    CASE 2:
      irbtype:="IRB6400/S2.9_120";
      currload:=load_120;
      system:=2.9;
      testload;
    CASE 3:
      irbtype:="IRB6400/3.0_75";
      currload:=load_75;
      system:=3;
      testload;
    CASE 4:
      irbtype:="IRB6400C";
      currload:=load_150;
      system:=150;
      testload;
    CASE 5:
      main;
    ENDTEST
  ENDPROC

  PROC testload()
    TPErase;
    TPReadFK answer,"Testload?","Yes","No","","","";
    TEST answer
    CASE 1:
    CASE 2:
      currload:=tool0;
    ENDTEST
    IF system=2.25 move2_25;
    IF system=2.4 move2_4;
    IF system=2.8 move2_8;
    IF system=2.9 move2_9;
    IF system=3 move3_0;
    IF system=150 move_C;
  ENDPROC

  PROC move2_25()
    VAR bool flag;

    flag:=TRUE;
    TPReadNum answer,"Select test time in Hours...";
    ClkReset clock1;
    ClkStart clock1;
    TPErase;
    time:=0;
    cycle:=0;
    WHILE flag DO
      IF time<answer THEN
        cycle:=cycle+1;
        TPWrite irbtype;
        TPWrite "Cycle "\Num:=cycle;
        time:=ClkRead(clock1);
        time:=time/3600;
        TPWrite "Test time (h): "\Num:=time;
        IF reg1=35 THEN
          MoveJ [[1600,0,2000],[0.793354,0,0.608762,0],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,z5,currload;
          MoveJ [[1688,0,2075],[0.707107,0,0.707107,0],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,fine,currload;
          TPWrite "*******Waiting for brake*******";
          TPWrite "*******Waiting for brake*******";
          TPWrite "*******Waiting for brake*******";
          WaitTime 182;
          reg1:=0;
        ENDIF
        TPWrite "Move1";
        AccSet 80,100;
        MoveJ [[1666.2,-34.9,2072.8],[0.42622,0.57752,0.43218,0.54593],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v800,z20,currload;
        MoveJ [[1939.9,893.3,1237.2],[0.28874,0.47572,0.56037,0.61344],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1959.5,893.9,1500.1],[0.2883,0.47613,0.56102,0.61273],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[2153.8,-11,1499.7],[0.41295,0.58588,0.44587,0.53611],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[2155.5,-28.2,1272.9],[0.07216,0.73934,0.0762,0.66511],[-1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[2153.7,83.1,1284.1],[0.05743,0.73406,0.0585,0.67412],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2153.8,83.8,1208],[0.05722,0.73456,0.05871,0.67358],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2153.7,84.4,1121.2],[0.05708,0.73485,0.05885,0.67326],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2153.6,85.1,1031.3],[0.05694,0.73502,0.059,0.67307],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2097.1,193.2,652],[0.02313,-0.79742,-0.60219,0.03088],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[1917.1,194,651.9],[0.02317,-0.79727,-0.60239,0.03094],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1916.9,102,651.7],[0.02322,-0.79717,-0.60252,0.03099],[-1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1916.8,7.2,651.5],[0.02327,-0.79708,-0.60263,0.03103],[-1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1915.1,-160.5,653.8],[0.03687,-0.81214,-0.5813,0.03401],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1915.2,-234.8,653.9],[0.03687,-0.81205,-0.58143,0.03399],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.6,-24.6,659.9],[0.04654,-0.57704,-0.81508,0.02217],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[1910.6,-23.9,771.1],[0.04653,-0.57689,-0.81519,0.02215],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[1910.6,-124.6,771],[0.04656,-0.57675,-0.81529,0.02218],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.7,-124,856.7],[0.04648,-0.57661,-0.81539,0.02214],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.9,-124.6,938],[0.04637,-0.57674,-0.81532,0.02204],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.9,-124.1,1038.4],[0.04634,-0.57665,-0.81538,0.022],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1911,-123.6,1130.4],[0.04629,-0.57654,-0.81546,0.02195],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2299.2,-6.8,1210.4],[0.24715,0.65704,0.67885,0.21536],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        TPWrite "Move2";
        AccSet 80,100;
        MoveJ [[-856.4,1729.2,2085],[0.2452,0.02397,-0.66601,-0.70409],[1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[-1895.5,961.9,1320.7],[0.47578,0.28579,-0.82745,-0.08536],[1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[-427.9,1755.1,1883.5],[0.00198,0.15454,0.86059,0.48529],[1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z50,currload;
        MoveJ [[610.2,1896.2,870.2],[0.02173,0.29121,0.9458,0.14208],[0,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1597.59,1135.09,498.28],[0.008798,-0.581509,-0.812084,0.04786],[0,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1248.4,1699.5,1173],[0.6655,-0.30282,0.68215,-0.00955],[0,-2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1610.44,1259.57,672.03],[0.379764,0.097409,0.918159,-0.057226],[0,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[595,-1580.3,1706.2],[0.17306,0.48241,0.06983,-0.85583],[-1,-2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[-679,-502.2,2107],[0.13697,-0.42902,0.37149,0.8119],[-2,-2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1172.2,-853.5,855.6],[0.45046,-0.81779,-0.26099,0.24535],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1456.68,-64.93,349.77],[0.449511,-0.632526,-0.431748,0.459831],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        TPWrite "Area";
        MoveJ [[2248.5,-45.6,1619.8],[0.47328,0.03952,0.87983,0.01871],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v200,z5,currload;
        MoveJ [[-1855.66,171.55,761.54],[0.004142,0.977705,-0.080171,-0.194033],[1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[-921.99,-15.69,2209.69],[0.598409,-0.201538,-0.382411,-0.674575],[-2,-2,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[515.7,-28.5,1927.9],[0.4822,0.03642,0.87507,0.0205],[-1,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,z5,currload;
        MoveJ [[560.16,-32.17,1996.01],[0.482217,0.036416,0.875054,0.020513],[-1,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1126.1,-27.76,2436.73],[0.622619,0.030932,0.781604,0.022013],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1147.69,-29.61,2355.63],[0.594202,0.032408,0.803374,0.021561],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2269.1,-49.6,1799.7],[0.01344,-0.57039,0.02411,-0.82091],[-1,-2,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2269,-51.1,1799.7],[0.0174,-0.57008,0.03143,-0.8208],[-1,2,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2029.62,1.85,1542.74],[0.13449,-0.018845,-0.983914,-0.116069],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2041.9,-50.3,1926],[0.99484,0.01273,-0.10015,0.01017],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2281.3,-50.2,1740.6],[0.2866,-0.62471,0.28894,-0.66642],[-1,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2281.34,-50.5,1740.69],[0.065463,0.686858,0.04342,0.722534],[-1,0,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[820.17,976.01,611.21],[0.689063,-0.373191,0.42759,0.450653],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[908.21,1067.08,550],[0.698405,-0.370096,0.414128,0.451395],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[460.47,-269.75,2009.76],[0.327624,-0.241782,0.709675,-0.574949],[-1,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-443.97,-300.89,2203.86],[0.780964,-0.109109,-0.547291,0.280471],[-2,1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-1198.4,-620.42,1224.77],[0.133358,-0.89588,0.395952,0.151121],[-2,1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-884.26,-1017.87,1223.1],[0.048974,-0.850289,0.49041,0.184687],[-2,1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        TPWrite "Spots";
        AccSet 80,100;
        MoveJ [[794.37,748.41,2005.3],[0.272385,-0.33232,0.024584,-0.902644],[0,-2,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2207.44,777.13,1198.9],[0.565763,-0.366018,0.324595,-0.663764],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[630.97,-1709.97,600.44],[0.599034,0.425043,0.562615,-0.379423],[-1,1,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1500,fine,currload;
        MoveJ [[2156.14,-526.9,680.64],[0.232641,-0.252662,0.849114,-0.401305],[-1,1,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[2224.29,-83.74,904.5],[0.260583,-0.308938,0.728973,-0.552497],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[2232.63,442.85,1015.8],[0.356195,-0.316253,0.5817,-0.659344],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[2149.55,707.85,1104.33],[0.415442,-0.312172,0.516778,-0.680366],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[2044.35,921.19,1178.44],[0.46615,-0.308796,0.469168,-0.683543],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1644.9,908.4,1697.9],[0.24681,0.4603,0.53412,0.66477],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1687.2,931.7,1687.3],[0.24681,0.4603,0.53412,0.66477],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z30,currload;
        MoveJ [[1711.2,945,1680.1],[0.24681,0.4603,0.53412,0.66478],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[462.47,1171.59,2098.47],[0.082427,0.204684,0.251891,0.942264],[0,-2,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[908.16,675.48,2460.38],[0.794309,-0.236255,0.530578,0.178168],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.5;
        MoveJ [[949.98,706.54,2483.06],[0.794351,-0.23623,0.530529,0.178162],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[986.82,733.93,2499.77],[0.794335,-0.236232,0.530552,0.178164],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1037.12,771.33,2518.52],[0.794323,-0.236241,0.53057,0.178151],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1124.69,836.47,2540.42],[0.794318,-0.236241,0.530574,0.178159],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1214.27,903.08,2549.47],[0.794326,-0.236239,0.530565,0.178151],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1271.4,945.57,2548.3],[0.794318,-0.236245,0.530575,0.178151],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1427.78,-27.71,1846.71],[0.023595,0.034242,-0.999128,-0.003938],[-1,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
      ELSE
        flag:=FALSE;
      ENDIF
    ENDWHILE
  ENDPROC

  PROC move2_4()
    VAR bool flag;

    flag:=TRUE;
    TPReadNum answer,"Select test time in Hours...";
    ClkReset clock1;
    ClkStart clock1;
    TPErase;
    time:=0;
    cycle:=0;
    WHILE flag DO
      IF time<answer THEN
        cycle:=cycle+1;
        TPWrite irbtype;
        TPWrite "Cycle "\Num:=cycle;
        time:=ClkRead(clock1);
        time:=time/3600;
        TPWrite "Test time (h): "\Num:=time;
        reg1:=reg1+1;
        IF reg1=35 THEN
          MoveJ [[1600,0,2000],[0.793354,0,0.608762,0],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,z5,currload;
          MoveJ [[1688,0,2075],[0.707107,0,0.707107,0],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,fine,currload;
          TPWrite "*******Waiting for brake*******";
          TPWrite "*******Waiting for brake*******";
          TPWrite "*******Waiting for brake*******";
          WaitTime 182;
          reg1:=0;
        ENDIF
        TPWrite "Move1";
        AccSet 80,100;
        MoveJ [[1666.2,-34.9,2072.8],[0.42622,0.57752,0.43218,0.54593],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v800,z20,currload;
        MoveJ [[1939.9,893.3,1237.2],[0.28874,0.47572,0.56037,0.61344],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1959.5,893.9,1500.1],[0.2883,0.47613,0.56102,0.61273],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[2153.8,-11,1499.7],[0.41295,0.58588,0.44587,0.53611],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[2155.5,-28.2,1272.9],[0.07216,0.73934,0.0762,0.66511],[-1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[2153.7,83.1,1284.1],[0.05743,0.73406,0.0585,0.67412],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2153.8,83.8,1208],[0.05722,0.73456,0.05871,0.67358],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2153.7,84.4,1121.2],[0.05708,0.73485,0.05885,0.67326],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2153.6,85.1,1031.3],[0.05694,0.73502,0.059,0.67307],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2097.1,193.2,652],[0.02313,-0.79742,-0.60219,0.03088],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[1917.1,194,651.9],[0.02317,-0.79727,-0.60239,0.03094],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1916.9,102,651.7],[0.02322,-0.79717,-0.60252,0.03099],[-1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1916.8,7.2,651.5],[0.02327,-0.79708,-0.60263,0.03103],[-1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1915.1,-160.5,653.8],[0.03687,-0.81214,-0.5813,0.03401],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1915.2,-234.8,653.9],[0.03687,-0.81205,-0.58143,0.03399],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.6,-24.6,659.9],[0.04654,-0.57704,-0.81508,0.02217],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[1910.6,-23.9,771.1],[0.04653,-0.57689,-0.81519,0.02215],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[1910.6,-124.6,771],[0.04656,-0.57675,-0.81529,0.02218],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.7,-124,856.7],[0.04648,-0.57661,-0.81539,0.02214],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.9,-124.6,938],[0.04637,-0.57674,-0.81532,0.02204],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.9,-124.1,1038.4],[0.04634,-0.57665,-0.81538,0.022],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1911,-123.6,1130.4],[0.04629,-0.57654,-0.81546,0.02195],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2299.2,-6.8,1210.4],[0.24715,0.65704,0.67885,0.21536],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        TPWrite "Move2";
        AccSet 80,100;
        MoveJ [[-856.4,1729.2,2085],[0.2452,0.02397,-0.66601,-0.70409],[1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,fine,currload;
        MoveJ [[-1895.5,961.9,1320.7],[0.47578,0.28579,-0.82745,-0.08536],[1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[-427.9,1755.1,1883.5],[0.00198,0.15454,0.86059,0.48529],[1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z50,currload;
        MoveJ [[610.2,1896.2,870.2],[0.02173,0.29121,0.9458,0.14208],[0,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1597.59,1135.09,498.28],[0.008798,-0.581509,-0.812084,0.04786],[0,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1248.4,1699.5,1173],[0.6655,-0.30282,0.68215,-0.00955],[0,-2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1610.44,1259.57,672.03],[0.379764,0.097409,0.918159,-0.057226],[0,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[595,-1580.3,1706.2],[0.17306,0.48241,0.06983,-0.85583],[-1,-2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,fine,currload;
        MoveJ [[-679,-502.2,2107],[0.13697,-0.42902,0.37149,0.8119],[-2,-2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,fine,currload;
        MoveJ [[1172.2,-853.5,855.6],[0.45046,-0.81779,-0.26099,0.24535],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1456.68,-64.93,349.77],[0.449511,-0.632526,-0.431748,0.459831],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        TPWrite "Area";
        MoveJ [[2248.5,-45.6,1619.8],[0.47328,0.03952,0.87983,0.01871],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v200,z5,currload;
        MoveJ [[-1855.66,171.55,761.54],[0.004142,0.977705,-0.080171,-0.194033],[1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[-921.99,-15.69,2209.69],[0.598409,-0.201538,-0.382411,-0.674575],[-2,-2,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[515.7,-28.5,1927.9],[0.4822,0.03642,0.87507,0.0205],[-1,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,z5,currload;
        MoveJ [[2508.5,-26.8,1433.9],[0.47319,0.03623,0.87998,0.02048],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1114.1,-23.6,2554.6],[0.6663,0.02849,0.74478,0.02317],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1070,-22.5,957.6],[0.15523,0.04551,0.98673,0.01409],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2269.1,-49.6,1799.7],[0.01344,-0.57039,0.02411,-0.82091],[-1,-2,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2269,-51.1,1799.7],[0.0174,-0.57008,0.03143,-0.8208],[-1,2,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1970.6,-36.5,1564],[0.29084,-0.03077,-0.9562,-0.01235],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2041.9,-50.3,1926],[0.99484,0.01273,-0.10015,0.01017],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2281.3,-50.2,1740.6],[0.2866,-0.62471,0.28894,-0.66642],[-1,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2281.34,-50.5,1740.69],[0.065463,0.686858,0.04342,0.722534],[-1,0,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[655.43,805.62,574.64],[0.638056,-0.387434,0.49482,0.444897],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[1217.58,1538.84,2156.24],[0.176705,0.375048,-0.691288,-0.591808],[0,-2,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[460.47,-269.75,2009.76],[0.327624,-0.241782,0.709675,-0.574949],[-1,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-443.97,-300.89,2203.86],[0.780964,-0.109109,-0.547291,0.280471],[-2,1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-1198.4,-620.42,1224.77],[0.133358,-0.89588,0.395952,0.151121],[-2,1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-884.26,-1017.87,1223.1],[0.048974,-0.850289,0.49041,0.184687],[-2,1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        TPWrite "Spots";
        AccSet 80,100;
        MoveJ [[-196,840.9,1877.6],[0.44523,0.61686,-0.49398,-0.421],[1,-4,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2302.2,591.2,868.7],[0.42374,-0.22528,0.44526,-0.75594],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[-289.8,-1446.3,569],[0.15289,0.6235,0.06301,-0.76414],[-2,2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1500,fine,currload;
        MoveJ [[2276.95,682.09,868.66],[0.438617,-0.234039,0.440715,-0.747403],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[2226.5,832.13,868.71],[0.463263,-0.248592,0.432667,-0.732386],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[2152.3,1008.63,868.68],[0.492383,-0.265817,0.422312,-0.713129],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[2057.58,1189.99,868.69],[0.522626,-0.28375,0.410467,-0.691278],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[1991.58,1297.44,868.69],[0.540777,-0.294532,0.40281,-0.677167],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1644.9,908.4,1697.9],[0.24681,0.4603,0.53412,0.66477],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1687.2,931.7,1687.3],[0.24681,0.4603,0.53412,0.66477],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z30,currload;
        MoveJ [[1711.2,945,1680.1],[0.24681,0.4603,0.53412,0.66478],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-196,840.9,1877.6],[0.44522,0.61685,-0.49398,-0.42102],[1,-4,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[908.16,675.48,2460.38],[0.794309,-0.236255,0.530578,0.178168],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.5;
        MoveJ [[949.98,706.54,2483.06],[0.794351,-0.23623,0.530529,0.178162],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[986.82,733.93,2499.77],[0.794335,-0.236232,0.530552,0.178164],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1037.12,771.33,2518.52],[0.794323,-0.236241,0.53057,0.178151],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1124.69,836.47,2540.42],[0.794318,-0.236241,0.530574,0.178159],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1214.27,903.08,2549.47],[0.794326,-0.236239,0.530565,0.178151],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1271.4,945.57,2548.3],[0.794318,-0.236245,0.530575,0.178151],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1427.78,-27.71,1846.71],[0.023595,0.034242,-0.999128,-0.003938],[-1,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
      ELSE
        flag:=FALSE;
      ENDIF
    ENDWHILE
  ENDPROC

  PROC move2_8()
    VAR bool flag;

    flag:=TRUE;
    TPReadNum answer,"Select test time in Hours...";
    ClkReset clock1;
    ClkStart clock1;
    TPErase;
    time:=0;
    cycle:=0;
    WHILE flag DO
      IF time<answer THEN
        cycle:=cycle+1;
        TPWrite irbtype;
        TPWrite "Cycle "\Num:=cycle;
        time:=ClkRead(clock1);
        time:=time/3600;
        TPWrite "Test time (h): "\Num:=time;
        reg1:=reg1+1;
        IF reg1=35 THEN
          MoveJ [[2004.5,0,2000],[0.793354,0,0.608762,0],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,z5,currload;
          MoveJ [[2092.5,0,2075],[0.707107,0,0.707107,0],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,fine,currload;
          TPWrite "*******Waiting for brake*******";
          TPWrite "*******Waiting for brake*******";
          TPWrite "*******Waiting for brake*******";
          WaitTime 182;
          reg1:=0;
        ENDIF
        TPWrite "Move1";
        AccSet 80,100;
        MoveJ [[1666.2,-34.9,2072.8],[0.42622,0.57752,0.43218,0.54593],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v800,z20,currload;
        MoveJ [[1939.9,893.3,1237.2],[0.28874,0.47572,0.56037,0.61344],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1959.5,893.9,1500.1],[0.2883,0.47613,0.56102,0.61273],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[2153.8,-11,1499.7],[0.41295,0.58588,0.44587,0.53611],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[2155.5,-28.2,1272.9],[0.07216,0.73934,0.0762,0.66511],[-1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[2153.7,83.1,1284.1],[0.05743,0.73406,0.0585,0.67412],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2153.8,83.8,1208],[0.05722,0.73456,0.05871,0.67358],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2153.7,84.4,1121.2],[0.05708,0.73485,0.05885,0.67326],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2153.6,85.1,1031.3],[0.05694,0.73502,0.059,0.67307],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2097.1,193.2,652],[0.02313,-0.79742,-0.60219,0.03088],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[1917.1,194,651.9],[0.02317,-0.79727,-0.60239,0.03094],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1916.9,102,651.7],[0.02322,-0.79717,-0.60252,0.03099],[-1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1916.8,7.2,651.5],[0.02327,-0.79708,-0.60263,0.03103],[-1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1915.1,-160.5,653.8],[0.03687,-0.81214,-0.5813,0.03401],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1915.2,-234.8,653.9],[0.03687,-0.81205,-0.58143,0.03399],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.6,-24.6,659.9],[0.04654,-0.57704,-0.81508,0.02217],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[1910.6,-23.9,771.1],[0.04653,-0.57689,-0.81519,0.02215],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[1910.6,-124.6,771],[0.04656,-0.57675,-0.81529,0.02218],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.7,-124,856.7],[0.04648,-0.57661,-0.81539,0.02214],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.9,-124.6,938],[0.04637,-0.57674,-0.81532,0.02204],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.9,-124.1,1038.4],[0.04634,-0.57665,-0.81538,0.022],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1911,-123.6,1130.4],[0.04629,-0.57654,-0.81546,0.02195],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2299.2,-6.8,1210.4],[0.24715,0.65704,0.67885,0.21536],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        TPWrite "Move2";
        AccSet 80,100;
        MoveJ [[-856.4,1729.2,2085],[0.2452,0.02397,-0.66601,-0.70409],[1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[-1895.5,961.9,1320.7],[0.47578,0.28579,-0.82745,-0.08536],[1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[-427.9,1755.1,1883.5],[0.00198,0.15454,0.86059,0.48529],[1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z50,currload;
        MoveJ [[610.2,1896.2,870.2],[0.02173,0.29121,0.9458,0.14208],[0,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1597.59,1135.09,498.28],[0.008798,-0.581509,-0.812084,0.04786],[0,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1248.4,1699.5,1173],[0.6655,-0.30282,0.68215,-0.00955],[0,-2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1610.44,1259.57,672.03],[0.379764,0.097409,0.918159,-0.057226],[0,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[595,-1580.3,1706.2],[0.17306,0.48241,0.06983,-0.85583],[-1,-2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[-679,-502.2,2107],[0.13697,-0.42902,0.37149,0.8119],[-2,-2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1172.2,-853.5,855.6],[0.45046,-0.81779,-0.26099,0.24535],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1456.68,-64.93,349.77],[0.449511,-0.632526,-0.431748,0.459831],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        TPWrite "Area";
        MoveJ [[2248.5,-45.6,1619.8],[0.47328,0.03952,0.87983,0.01871],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v200,z5,currload;
        MoveJ [[-1855.66,171.55,761.54],[0.004142,0.977705,-0.080171,-0.194033],[1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[-921.99,-15.69,2209.69],[0.598409,-0.201538,-0.382411,-0.674575],[-2,-2,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[878.68,-100.99,1991.76],[0.324564,0.071631,0.942184,-0.042632],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,z5,currload;
        MoveJ [[2948.69,-30.76,1412.23],[0.568643,0.032938,0.821592,0.023374],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1127.61,-23.02,2544.81],[0.663377,0.028365,0.747381,0.023409],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1183.45,-23.95,523.33],[0.106128,-0.04795,-0.993157,-0.008848],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2269.1,-49.6,1799.7],[0.01344,-0.57039,0.02411,-0.82091],[-1,-2,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2269,-51.1,1799.7],[0.0174,-0.57008,0.03143,-0.8208],[-1,2,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1970.6,-36.5,1564],[0.29084,-0.03077,-0.9562,-0.01235],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2041.9,-50.3,1926],[0.99484,0.01273,-0.10015,0.01017],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2281.3,-50.2,1740.6],[0.2866,-0.62471,0.28894,-0.66642],[-1,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2281.34,-50.5,1740.69],[0.065463,0.686858,0.04342,0.722534],[-1,0,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[595.96,1060.94,322.56],[0.734498,-0.295723,0.475221,0.383701],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[1217.58,1538.84,2156.24],[0.176705,0.375048,-0.691288,-0.591808],[0,-2,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[941.58,-337.29,2117.26],[0.418057,-0.279724,0.674422,-0.540499],[-1,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-828.34,-618.67,2288.04],[0.802155,0.047849,-0.574103,0.157048],[-2,1,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-1198.4,-620.42,1224.77],[0.133358,-0.89588,0.395952,0.151121],[-2,1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-884.26,-1017.87,1223.1],[0.048974,-0.850289,0.49041,0.184687],[-2,1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        TPWrite "Spots";
        AccSet 80,100;
        MoveJ [[-196,840.9,1877.6],[0.44523,0.61686,-0.49398,-0.421],[1,-4,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2302.2,591.2,868.7],[0.42374,-0.22528,0.44526,-0.75594],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[-289.8,-1446.3,569],[0.15289,0.6235,0.06301,-0.76414],[-2,2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1500,fine,currload;
        MoveJ [[2276.95,682.09,868.66],[0.438617,-0.234039,0.440715,-0.747403],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[2226.5,832.13,868.71],[0.463263,-0.248592,0.432667,-0.732386],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[2152.3,1008.63,868.68],[0.492383,-0.265817,0.422312,-0.713129],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[2057.58,1189.99,868.69],[0.522626,-0.28375,0.410467,-0.691278],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[1991.58,1297.44,868.69],[0.540777,-0.294532,0.40281,-0.677167],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1644.9,908.4,1697.9],[0.24681,0.4603,0.53412,0.66477],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1687.2,931.7,1687.3],[0.24681,0.4603,0.53412,0.66477],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z30,currload;
        MoveJ [[1711.2,945,1680.1],[0.24681,0.4603,0.53412,0.66478],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-196,840.9,1877.6],[0.44522,0.61685,-0.49398,-0.42102],[1,-4,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[908.16,675.48,2460.38],[0.794309,-0.236255,0.530578,0.178168],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.5;
        MoveJ [[949.98,706.54,2483.06],[0.794351,-0.23623,0.530529,0.178162],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[986.82,733.93,2499.77],[0.794335,-0.236232,0.530552,0.178164],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1037.12,771.33,2518.52],[0.794323,-0.236241,0.53057,0.178151],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1124.69,836.47,2540.42],[0.794318,-0.236241,0.530574,0.178159],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1214.27,903.08,2549.47],[0.794326,-0.236239,0.530565,0.178151],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1271.4,945.57,2548.3],[0.794318,-0.236245,0.530575,0.178151],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1427.78,-27.71,1846.71],[0.023595,0.034242,-0.999128,-0.003938],[-1,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
      ELSE
        flag:=FALSE;
      ENDIF
    ENDWHILE
  ENDPROC

  PROC move2_9()
    VAR bool flag;

    flag:=TRUE;
    TPReadNum answer,"Select test time in Hours...";
    ClkReset clock1;
    ClkStart clock1;
    TPErase;
    time:=0;
    cycle:=0;
    WHILE flag DO
      IF time<answer THEN
        cycle:=cycle+1;
        TPWrite irbtype;
        TPWrite "Cycle "\Num:=cycle;
        time:=ClkRead(clock1);
        time:=time/3600;
        TPWrite "Test time (h): "\Num:=time;
        reg1:=reg1+1;
        IF reg1=30 THEN
          MoveJ [[2637.56,0,-380.77],[0.50218,-2E-06,0.864764,-1.4E-05],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
          MoveJ [[2563.83,0,-454.845],[0.258819,0,0.965926,0],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
          TPWrite "*******Waiting for brake*******";
          TPWrite "*******Waiting for brake*******";
          TPWrite "*******Waiting for brake*******";
          WaitTime 182;
          reg1:=0;
        ENDIF
        MoveJ [[-37.1,-1834.46,-1264.55],[0.002493,0.708764,0.705436,-0.00292],[-2,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,fine,currload;
        MoveJ [[-227.22,-1387.24,-353.56],[0.480027,-0.484488,-0.522022,0.51219],[-2,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[-50.19,-2551.91,25.27],[0.521091,0.537928,0.469334,-0.467787],[-2,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[-1670.44,-397.03,-1398.14],[0.014068,0.012638,0.698592,-0.715271],[-2,3,3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-1886.98,335.24,-1259.18],[0.063439,-0.689129,0.064324,0.718985],[1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-1409.96,1148.42,22.61],[0.742928,-0.215068,0.609102,0.175499],[1,-3,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-260.89,1526,-1748.73],[0.518906,0.481941,-0.525247,-0.47179],[1,-3,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[719.55,2056.55,56.12],[0.15909,-0.3216,-0.12306,-0.925268],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[2213.35,-1.51,141.00999],[0.728576,-0.001489,0.684963,-0.001479],[-1,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[2024.3,-1376.36,-922.78],[0.651804,-0.654877,0.151323,-0.351269],[-1,-3,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[1506.54,-228.19,-1063.21],[0.06578,0.140521,-0.556405,-0.816297],[-1,0,2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[1557.2,-356.11,-1717.19],[0.703211,0.014074,0.710842,-0.001105],[-1,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveL [[2358.44,-568.43,-1457.19],[0.493116,0.528468,0.495496,0.481708],[-1,-1,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[-2444.61,-333.56,-856.35],[0.570996,-0.436885,0.55347,0.420435],[-2,3,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-2546.81,679.34,-1203.95],[0.395284,0.464474,-0.518502,-0.599308],[1,-1,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-1860.01,517,83.6],[0.101535,-0.718139,0.079998,0.683789],[1,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-1815.71,504.28,-1545.71],[0.099707,-0.710923,0.080931,0.691446],[1,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-420.33,1974.7,-520.19],[0.71047,0.001836,0.70348,-0.01862],[1,3,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-49.32,2563.05,27.35],[0.507249,-0.499514,0.486658,0.506309],[1,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[1336.47,1748.27,194.1],[0.520821,-0.585691,-0.043222,0.619552],[0,-3,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[1622.83,1778.45,182.28],[0.723061,-0.239742,0.563026,0.320482],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[1625.87,1782.41,107.97],[0.605915,-0.294221,0.688257,0.26945],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[2395.14,-75.42,140.83],[0.70438,0.019813,0.709486,-0.009283],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[2698.37,-85.03,-1046.05],[0.499007,-0.478953,0.491469,-0.529202],[-1,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.2;
        MoveJ [[1718.58,-34.4,-1750.64],[0.682762,0.017261,0.730371,0.009853],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[1718.58,-34.44,-1639.86],[0.682773,0.017274,0.730361,0.009828],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[1718.5,-34.49,-1474.01],[0.682779,0.017282,0.730356,0.009792],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[1718.41,-34.53,-1345.46],[0.682761,0.017293,0.730372,0.009768],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[1718.37,-34.57,-1272.17],[0.682755,0.017291,0.730379,0.009727],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[1718.52,-34.71,-1030.34],[0.687764,0.017208,0.725666,0.009689],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[1718.55,-34.72,-939.92],[0.687771,0.017213,0.725659,0.009707],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[1718.52,-34.72,-822.38],[0.687758,0.017211,0.725671,0.009695],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[1718.52,-34.71,-477.84],[0.687763,0.017205,0.725667,0.009706],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[1718.53,-34.72,-328.61],[0.687758,0.017209,0.725672,0.009702],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[1718.52,-34.71,-154.47],[0.687765,0.017207,0.725665,0.009698],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[1871.22,-34.72,-154.47],[0.687766,0.017215,0.725664,0.009709],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[2218.03,-34.67,-154.44],[0.687772,0.017212,0.725658,0.009703],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[2357.48,-34.91,-156.58],[0.687618,0.017212,0.725805,0.009654],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[2522.28,-34.87,-156.6],[0.687555,0.017259,0.725863,0.009644],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveL [[2805.94,-34.81,-156.61],[0.687563,0.017254,0.725856,0.009642],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveJ [[2881.47,-333.09,-156.56],[0.687148,0.054658,0.723999,-0.025834],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.2;
        MoveJ [[2829.5,-638.68,-156.53],[0.684793,0.093289,0.720034,-0.062512],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.2;
        MoveJ [[2762.45,-884.83,-156.52],[0.68139,0.124871,0.715225,-0.092563],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.2;
        MoveJ [[2677.58,-1115.62,-156.51],[0.676872,0.154938,0.709304,-0.121352],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.2;
        MoveJ [[2413.52,-1609.13,-156.47],[0.662015,0.222682,0.691023,-0.186111],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.2;
        MoveJ [[2099.14,-2002.02,-156.46],[0.643394,0.28172,0.669117,-0.242818],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.2;
        MoveJ [[1757.35,-2307.89,-156.43],[0.622183,0.333703,0.644755,-0.292953],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.2;
        MoveJ [[1437.18,-2519.78,-156.4],[0.60143,0.375686,0.621218,-0.333513],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.2;
        MoveJ [[1060.98,-2699.85,-156.38],[0.575918,0.41928,0.592651,-0.375884],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.2;
        MoveJ [[755.66,-2800.71,-156.37],[0.554207,0.451412,0.568546,-0.407231],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.2;
        MoveJ [[441.59,-2867.09,-156.33],[0.530807,0.482242,0.542629,-0.437311],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[109.22,-2898.87,-156.3],[0.504762,0.512684,0.513951,-0.467146],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[1985.86,-24.93,-1177.31],[0.710718,0.015488,0.703221,0.010954],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[1202.83,-45.44,-542.94],[0.023288,0.712026,-0.003382,-0.701759],[-1,-3,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[1699.89,-45.51,-1048.14],[0.023267,0.712019,-0.003383,-0.701767],[-1,-3,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
        MoveL [[969.54,-45.58,-1048.18],[0.023223,0.712042,-0.003387,-0.701745],[-1,-3,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
        MoveL [[2005.17,-45.5,-999.72],[0.023198,0.712034,-0.003404,-0.701754],[-1,-3,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
        MoveL [[1035.82,-45.57,-1334.03],[0.023193,0.712055,-0.003406,-0.701733],[-1,-3,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
        MoveL [[1857.66,-45.55,-1311.26],[0.023177,0.71206,-0.003418,-0.701728],[-1,-3,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
        MoveL [[983.29,-45.61,-1510.64],[0.023169,0.712055,-0.003427,-0.701733],[-1,-3,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
        MoveL [[1616.87,-45.59,-1510.66],[0.023141,0.712073,-0.003431,-0.701716],[-1,-3,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
        MoveL [[873.26,-45.64,-1624.21],[0.023131,0.712211,-0.003459,-0.701576],[-1,-3,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
        MoveL [[1553.76,-45.55,-1624.25],[0.023101,0.712152,-0.003415,-0.701637],[-1,-3,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
        MoveJ [[969.01,-480.18,-548.43],[0.023075,0.712143,-0.003445,-0.701647],[-1,-3,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
        MoveJ [[968.82,423.79,-548.33],[0.023077,0.712156,-0.003406,-0.701634],[0,-2,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[968.86,423.8,-1528.5],[0.023047,0.712166,-0.003423,-0.701625],[0,-2,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
        MoveJ [[968.88,-577.84,-1528.46],[0.023025,0.71216,-0.003424,-0.701631],[-1,-3,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
        MoveJ [[969.01,-480.18,-548.43],[0.023075,0.712143,-0.003445,-0.701647],[-1,-3,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1000,fine,currload;
        MoveJ [[968.82,423.79,-548.33],[0.023077,0.712156,-0.003406,-0.701634],[0,-2,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,fine,currload;
        MoveJ [[2048.07,-163.66,-479.29],[0.022993,0.712163,-0.003413,-0.70163],[-1,-3,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,fine,currload;
      ELSE
        flag:=FALSE;
      ENDIF
    ENDWHILE
  ENDPROC

  PROC move3_0()
    VAR bool flag;

    flag:=TRUE;
    TPReadNum answer,"Select test time in Hours...";
    ClkReset clock1;
    ClkStart clock1;
    TPErase;
    time:=0;
    cycle:=0;
    WHILE flag DO
      IF time<answer THEN
        cycle:=cycle+1;
        TPWrite irbtype;
        TPWrite "Cycle "\Num:=cycle;
        time:=ClkRead(clock1);
        time:=time/3600;
        TPWrite "Test time (h): "\Num:=time;
        reg1:=reg1+1;
        IF reg1=35 THEN
          MoveJ [[2004.5,0,2000],[0.793354,0,0.608762,0],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,z5,currload;
          MoveJ [[2092.5,0,2075],[0.707107,0,0.707107,0],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,fine,currload;
          TPWrite "*******Waiting for brake*******";
          TPWrite "*******Waiting for brake*******";
          TPWrite "*******Waiting for brake*******";
          WaitTime 182;
          reg1:=0;
        ENDIF
        TPWrite "Move1";
        AccSet 80,100;
        MoveJ [[1666.2,-34.9,2072.8],[0.42622,0.57752,0.43218,0.54593],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v800,z20,currload;
        MoveJ [[1939.9,893.3,1237.2],[0.28874,0.47572,0.56037,0.61344],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1959.5,893.9,1500.1],[0.2883,0.47613,0.56102,0.61273],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[2153.8,-11,1499.7],[0.41295,0.58588,0.44587,0.53611],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[2155.5,-28.2,1272.9],[0.07216,0.73934,0.0762,0.66511],[-1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[2153.7,83.1,1284.1],[0.05743,0.73406,0.0585,0.67412],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2153.8,83.8,1208],[0.05722,0.73456,0.05871,0.67358],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2153.7,84.4,1121.2],[0.05708,0.73485,0.05885,0.67326],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2153.6,85.1,1031.3],[0.05694,0.73502,0.059,0.67307],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2097.1,193.2,652],[0.02313,-0.79742,-0.60219,0.03088],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[1917.1,194,651.9],[0.02317,-0.79727,-0.60239,0.03094],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1916.9,102,651.7],[0.02322,-0.79717,-0.60252,0.03099],[-1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1916.8,7.2,651.5],[0.02327,-0.79708,-0.60263,0.03103],[-1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1915.1,-160.5,653.8],[0.03687,-0.81214,-0.5813,0.03401],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1915.2,-234.8,653.9],[0.03687,-0.81205,-0.58143,0.03399],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.6,-24.6,659.9],[0.04654,-0.57704,-0.81508,0.02217],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[1910.6,-23.9,771.1],[0.04653,-0.57689,-0.81519,0.02215],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[1910.6,-124.6,771],[0.04656,-0.57675,-0.81529,0.02218],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.7,-124,856.7],[0.04648,-0.57661,-0.81539,0.02214],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.9,-124.6,938],[0.04637,-0.57674,-0.81532,0.02204],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1910.9,-124.1,1038.4],[0.04634,-0.57665,-0.81538,0.022],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1911,-123.6,1130.4],[0.04629,-0.57654,-0.81546,0.02195],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2299.2,-6.8,1210.4],[0.24715,0.65704,0.67885,0.21536],[-1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        TPWrite "Move2";
        AccSet 80,100;
        MoveJ [[-669.6,1725.61,2004.94],[0.236792,-0.017943,-0.679867,-0.693822],[1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[-1895.5,961.9,1320.7],[0.47578,0.28579,-0.82745,-0.08536],[1,0,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[-427.9,1755.1,1883.5],[0.00198,0.15454,0.86059,0.48529],[1,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z50,currload;
        MoveJ [[610.2,1896.2,870.2],[0.02173,0.29121,0.9458,0.14208],[0,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1597.59,1135.09,498.28],[0.008798,-0.581509,-0.812084,0.04786],[0,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1248.4,1699.5,1173],[0.6655,-0.30282,0.68215,-0.00955],[0,-2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1610.44,1259.57,672.03],[0.379764,0.097409,0.918159,-0.057226],[0,-1,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[595,-1580.3,1706.2],[0.17306,0.48241,0.06983,-0.85583],[-1,-2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[-1098.98,-330.18,1921.02],[0.375625,-0.400062,0.375228,0.747035],[-2,-2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1172.2,-853.5,855.6],[0.45046,-0.81779,-0.26099,0.24535],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1456.68,-64.93,349.77],[0.449511,-0.632526,-0.431748,0.459831],[-1,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        TPWrite "Area";
        MoveJ [[2248.5,-45.6,1619.8],[0.47328,0.03952,0.87983,0.01871],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v200,z5,currload;
        MoveJ [[-1855.66,171.55,761.54],[0.004142,0.977705,-0.080171,-0.194033],[1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[269.43,-982.44,2074.45],[0.169077,-0.210779,-0.89492,0.355112],[-1,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1059.68,-156.85,2032.35],[0.256042,0.074669,0.962064,-0.057443],[-1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,z5,currload;
        MoveJ [[2948.69,-30.76,1412.23],[0.568643,0.032938,0.821592,0.023374],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1243.54,-25.73,2366.37],[0.624285,0.03031,0.780273,0.022907],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1423.53,-29.59,1026.9],[0.086709,0.045636,0.995093,0.013772],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2269.1,-49.6,1799.7],[0.01344,-0.57039,0.02411,-0.82091],[-1,-2,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2269,-51.1,1799.7],[0.0174,-0.57008,0.03143,-0.8208],[-1,2,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1970.6,-36.5,1564],[0.29084,-0.03077,-0.9562,-0.01235],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2041.9,-50.3,1926],[0.99484,0.01273,-0.10015,0.01017],[-1,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2281.3,-50.2,1740.6],[0.2866,-0.62471,0.28894,-0.66642],[-1,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2281.34,-50.5,1740.69],[0.065463,0.686858,0.04342,0.722534],[-1,0,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[811.41,1348.14,680.79],[0.769232,-0.222966,0.415,0.431676],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[1217.58,1538.84,2156.24],[0.176705,0.375048,-0.691288,-0.591808],[0,-2,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[1172.11,-400.34,2115.14],[0.371197,-0.318526,0.708985,-0.50803],[-1,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[251.72,-1174.91,2313.14],[0.199068,0.281088,-0.509482,0.788537],[-1,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-929.86,-714.74,2324.3],[0.784933,0.063074,-0.59822,0.148444],[-2,1,-4,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-884.26,-1017.87,1223.1],[0.048974,-0.850289,0.49041,0.184687],[-2,1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        TPWrite "Spots";
        AccSet 80,100;
        MoveJ [[-188.41,939.81,2233.67],[0.451779,0.608156,-0.493669,-0.427005],[0,-4,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2302.2,591.2,868.7],[0.42374,-0.22528,0.44526,-0.75594],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[-289.8,-1446.3,569],[0.15289,0.6235,0.06301,-0.76414],[-2,2,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1500,fine,currload;
        MoveJ [[2276.95,682.09,868.66],[0.438617,-0.234039,0.440715,-0.747403],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[2226.5,832.13,868.71],[0.463263,-0.248592,0.432667,-0.732386],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[2152.3,1008.63,868.68],[0.492383,-0.265817,0.422312,-0.713129],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[2057.58,1189.99,868.69],[0.522626,-0.28375,0.410467,-0.691278],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[1991.58,1297.44,868.69],[0.540777,-0.294532,0.40281,-0.677167],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1644.9,908.4,1697.9],[0.24681,0.4603,0.53412,0.66477],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1687.2,931.7,1687.3],[0.24681,0.4603,0.53412,0.66477],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z30,currload;
        MoveJ [[1711.2,945,1680.1],[0.24681,0.4603,0.53412,0.66478],[0,0,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[-206.94,926.71,2233.48],[0.451392,0.617948,-0.480665,-0.428191],[1,-4,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[908.16,675.48,2460.38],[0.794309,-0.236255,0.530578,0.178168],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.5;
        MoveJ [[1503.24,1117.99,2140.44],[0.678561,-0.292291,0.656472,0.152201],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1584.15,1178.12,2185.96],[0.684967,-0.289669,0.650621,0.15364],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1646.71,1224.49,2168.52],[0.681032,-0.291274,0.654241,0.152727],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1726.8,1284.19,2187.77],[0.697317,-0.2845,0.63902,0.156406],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1814.17,1349.05,2199.63],[0.697827,-0.284291,0.638537,0.156484],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1885.53,1402.18,2151.94],[0.708673,-0.279564,0.627981,0.158958],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1427.78,-27.71,1846.71],[0.023595,0.034242,-0.999128,-0.003938],[-1,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
      ELSE
        flag:=FALSE;
      ENDIF
    ENDWHILE
  ENDPROC

  PROC move_C()
    VAR bool flag;

    flag:=TRUE;
    TPReadNum answer,"Select test time in Hours...";
    ClkReset clock1;
    ClkStart clock1;
    TPErase;
    time:=0;
    cycle:=0;
    WHILE flag DO
      IF time<answer THEN
        cycle:=cycle+1;
        TPWrite irbtype;
        TPWrite "Cycle "\Num:=cycle;
        time:=ClkRead(clock1);
        time:=time/3600;
        TPWrite "Test time (h): "\Num:=time;
        reg1:=reg1+1;
        IF reg1=50 THEN
        MoveAbsJ [[0,0,-30,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,z5,currload;
        MoveAbsJ [[20,0,-9.33,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,fine,currload;
          TPWrite "*******Waiting for brake*******";
          TPWrite "*******Waiting for brake*******";
          TPWrite "*******Waiting for brake*******";
          WaitTime 182;
          reg1:=0;
        ENDIF
        TPWrite "Move1";
        AccSet 100,100;
        MoveJ [[1561.03,-0.15,1748.45],[0.742452,9.3E-05,0.6699,1.9E-05],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v800,z20,currload;
        MoveJ [[1560.94,-0.17,447.4],[0.742433,0.000108,0.669921,1.5E-05],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1728.87,-0.17,447.4],[0.742435,0.000106,0.669919,1.9E-05],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[1884.01,161.59,458.84],[0.742478,0.000105,0.669871,1E-06],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[2242.48,161.63,1588.87],[0.742435,0.000101,0.669918,2.8E-05],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[2242.48,439.17,1588.9],[0.742446,0.000122,0.669906,-1.3E-05],[0,0,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[2186.16,499.59,1680.52],[0.765133,-0.070957,0.620494,0.156601],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1380.29,439.28,1755.2],[0.742408,9.7E-05,0.669948,2.1E-05],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1384.85,713.07,1755.2],[0.742412,8.6E-05,0.669944,-3E-06],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1384.78,713.04,1934.14],[0.742491,0.000137,0.669856,5E-05],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[1409.34,666.8,2065.64],[0.781593,-0.286434,0.554136,-0.001571],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[1204.79,666.76,2065.62],[0.781599,-0.286422,0.554134,-0.001578],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[893.6,666.77,2065.73],[0.781629,-0.286399,0.554102,-0.001554],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[708,666.83,1989.9],[0.79235,-0.28634,0.538647,-0.007177],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[585.66,666.8,1929.03],[0.800466,-0.286192,0.526513,-0.011548],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[-1679.74,-444.83,1459.61],[0.759579,0.30018,-0.575869,-0.036142],[1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[-1610.43,-416.6,1849.99],[0.849011,0.242218,-0.468183,-0.03628],[1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        MoveJ [[395.82,-1006.43,934.22],[0.218287,-0.117253,-0.965495,-0.080139],[0,-3,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[559.15,-1183.15,991.01],[0.250422,0.046996,0.895392,-0.365177],[0,-3,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[280.14,-1364.77,1070.78],[0.271706,0.124699,0.826336,-0.47728],[0,-3,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[334.69,-1435.26,1250.2],[0.308046,0.110782,0.784073,-0.52732],[0,-3,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[230.05,-1413.54,1250.11],[0.308043,0.110774,0.784087,-0.527301],[0,-2,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        WaitTime 1;
        MoveJ [[127.37,-1416.55,1267.86],[0.543651,0.493409,0.611421,-0.295223],[0,-2,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z20,currload;
        TPWrite "Move2";
        AccSet 100,100;
        MoveJ [[1780.33,-1150.1,1440.29],[0.805383,0.381694,0.450632,-0.050985],[0,-2,2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1839.46,-985.64,1361.27],[0.666238,-0.009616,0.738847,0.100695],[0,-3,2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1839.47,-1010.45,1416.12],[0.756247,0.091308,0.63287,0.138671],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z50,currload;
        MoveJ [[1996.38,480.21,1960.89],[0.64443,0.174143,0.581527,0.464985],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1560.1,1214.84,1738.05],[0.358432,0.071771,0.781679,0.505326],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1391.87,109.49,1201.99],[0.353666,0.361825,0.854654,0.116489],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[-959.16,-105.78,2265.93],[0.832556,-0.063495,-0.341041,0.431868],[1,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[1308,-295.61,1635.15],[0.090504,-0.169395,0.981131,0.022278],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[679.93,-644.82,1341.63],[0.456122,0.255274,0.852042,-0.028501],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[261.15,-1082.41,1156.85],[0.834441,-0.024675,0.544887,-0.078729],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        MoveJ [[684.68,-1007.08,1371.51],[0.712079,0.159185,0.656826,-0.190222],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,z5,currload;
        TPWrite "Area";
        MoveJ [[1155.02,-1007.07,1418.76],[0.686384,0.151786,0.683632,-0.196175],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v200,z5,currload;
        MoveJ [[948.03,-1438.28,938.88],[0.496359,0.34165,0.704509,-0.374927],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2172.33,-170.36,1534.73],[0.813091,-0.044503,0.580297,0.012617],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1898.87,-367.99,1451.27],[0.405497,0.151781,-0.724348,0.536522],[0,-3,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v500,z5,currload;
        MoveJ [[1917.62,-215.12,1283.35],[0.174269,0.095995,-0.978615,0.05224],[0,-3,-3,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2019.98,-384.29,1457.93],[0.525289,0.464709,0.561118,-0.439618],[0,-3,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1695.33,334.18,1958.09],[0.071392,-0.229231,-0.118218,-0.963526],[0,-3,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1052.73,1319.85,2056.32],[0.14779,0.075939,0.582326,0.795794],[0,-1,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1242.79,1207.51,1998.57],[0.022354,-0.421564,-0.469065,-0.775733],[0,0,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1548.06,812.67,1751.77],[0.527992,-0.467856,-0.325658,-0.62951],[0,1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1241.74,999.14,1747.01],[0.520141,-0.440636,-0.449722,-0.5771],[0,1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[2356.03,-138.83,1043.35],[0.686185,0.005132,0.726736,-0.031296],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1292.88,771.48,826.18],[0.430033,-0.224721,0.854476,0.185588],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z80,currload;
        MoveJ [[1028.93,1043.37,1739.24],[0.421414,-0.540388,-0.618447,-0.384597],[0,0,1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[1654.26,917.92,1684.52],[0.397354,-0.068562,-0.138002,-0.904635],[0,1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[660.63,-462.16,1594.72],[0.334227,0.515254,0.761613,0.206766],[0,0,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[1355.44,-573.35,1252.91],[0.05682,0.404001,-0.876796,0.254528],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[1952.56,588.33,970.7],[0.191231,-0.869609,-0.13375,-0.435112],[0,-2,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[1325.61,1031.86,1034.68],[0.187931,0.276816,-0.927364,0.167486],[0,-3,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        TPWrite "Spots";
        AccSet 100,100;
        MoveJ [[921.33,1322.57,635.77],[0.393862,-0.278165,0.635542,0.602979],[0,-3,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1188.24,1527.83,1164.44],[0.353609,-0.323496,0.660191,0.578324],[0,-3,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],vmax,fine,currload;
        MoveJ [[1565.23,1008.68,569.81],[0.291501,0.845915,0.281471,0.346743],[0,-1,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v1500,fine,currload;
        MoveJ [[2128.72,603.06,1079.53],[0.320569,0.821187,-0.032059,0.47102],[0,-1,-2,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[976.07,879.19,910.8],[0.621641,-0.263312,0.688948,0.263781],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[976.02,879.19,1047.4],[0.62164,-0.263324,0.688941,0.263791],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[975.99,1022.58,1047.38],[0.621634,-0.263341,0.688938,0.263794],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        WaitTime 0.5;
        MoveJ [[1179.68,1022.58,1047.32],[0.621617,-0.263319,0.688956,0.26381],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1270.63,1022.52,1047.22],[0.621619,-0.263316,0.68896,0.263795],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z5,currload;
        MoveJ [[1270.69,1022.44,1543.74],[0.621612,-0.263312,0.688979,0.263769],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z30,currload;
        MoveJ [[1270.59,632.55,1544],[0.621674,-0.263313,0.688908,0.263805],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        MoveJ [[1270.51,632.59,814.01],[0.621631,-0.263336,0.688938,0.263807],[0,-1,0,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        MoveJ [[1270.44,-403.35,814],[0.623358,0.114854,0.752334,-0.179523],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,fine,currload;
        WaitTime 0.5;
        MoveJ [[1270.46,-403.3,1027.49],[0.623344,0.114855,0.752349,-0.179504],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1270.41,-403.31,1222.62],[0.623356,0.11485,0.752339,-0.179511],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1695.31,-403.34,1441.66],[0.623328,0.114863,0.752359,-0.179513],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1952.92,-403.33,1441.64],[0.623326,0.114859,0.752364,-0.179502],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1952.9,-657.76,1441.77],[0.623369,0.114856,0.752326,-0.179516],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1758.91,-654.87,1703.38],[0.695043,0.073498,0.681267,-0.217692],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
        WaitTime 0.5;
        MoveJ [[1751.2,-636.45,1836.63],[0.724092,0.05004,0.645655,-0.237313],[0,-1,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]],v2500,z50,currload;
      ELSE
        flag:=FALSE;
      ENDIF
    ENDWHILE
  ENDPROC
ENDMODULE

